# Network v2 BGPVPN Commands

## bgpvpn

### bgpvpn create

Create BGP VPN resource

    openstack bgpvpn create
        [--project <project>]
        [--project-domain <project-domain>]
        [--name <name>]
        [--route-target <route-target>]
        [--import-target <import-target>]
        [--export-target <export-target>]
        [--route-distinguisher <route-distinguisher>]
        [--vni VNI]
        [--local-pref LOCAL_PREF]
        [--type {l2,l3}]

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--name <name>

  Name of the BGP VPN

--route-target <route-target>

  Add Route Target to import/export list (repeat option for multiple Route Targets)

--import-target <import-target>

  Add Route Target to import list (repeat option for multiple Route Targets)

--export-target <export-target>

  Add Route Target to export list (repeat option for multiple Route Targets)

--route-distinguisher <route-distinguisher>

  Add Route Distinguisher to the list of Route Distinguishers from which a Route Distinguishers will be picked from to advertise a VPN route (repeat option for multiple Route Distinguishers)

--vni <VNI>

  VXLAN Network Identifier to be used for this BGPVPN when a VXLAN encapsulation is used

--local-pref <LOCAL_PREF>

  Default BGP LOCAL_PREF to use in route advertisementstowards this BGPVPN.

--type <TYPE>

  BGP VPN type selection between IP VPN (l3) and Ethernet VPN (l2) (default: l3)

### bgpvpn delete

Delete BGP VPN resource(s)

    openstack bgpvpn delete <bgpvpn> [<bgpvpn> ...]

bgpvpn

  BGP VPN(s) to delete (name or ID)

### bgpvpn list

List BGP VPN resources

    openstack bgpvpn list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--project-domain <project-domain>]
        [--long]
        [--property <key=value>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--long

  List additional fields in output

--property <key=value>

  Filter property to apply on returned BGP VPNs (repeat to filter on multiple properties)

### bgpvpn set

Set BGP VPN properties

    openstack bgpvpn set
        [--name <name>]
        [--route-target <route-target>]
        [--no-route-target]
        [--import-target <import-target>]
        [--no-import-target]
        [--export-target <export-target>]
        [--no-export-target]
        [--route-distinguisher <route-distinguisher>]
        [--no-route-distinguisher]
        [--vni VNI]
        [--local-pref LOCAL_PREF]
        <bgpvpn>

--name <name>

  Name of the BGP VPN

--route-target <route-target>

  Add Route Target to import/export list (repeat option for multiple Route Targets)

--no-route-target

  Empty route target list

--import-target <import-target>

  Add Route Target to import list (repeat option for multiple Route Targets)

--no-import-target

  Empty import route target list

--export-target <export-target>

  Add Route Target to export list (repeat option for multiple Route Targets)

--no-export-target

  Empty export route target list

--route-distinguisher <route-distinguisher>

  Add Route Distinguisher to the list of Route Distinguishers from which a Route Distinguishers will be picked from to advertise a VPN route (repeat option for multiple Route Distinguishers)

--no-route-distinguisher

  Empty route distinguisher list

--vni <VNI>

  VXLAN Network Identifier to be used for this BGPVPN when a VXLAN encapsulation is used

--local-pref <LOCAL_PREF>

  Default BGP LOCAL_PREF to use in route advertisementstowards this BGPVPN.

bgpvpn

  BGP VPN to update (name or ID)

### bgpvpn show

Show information of a given BGP VPN

    openstack bgpvpn show <bgpvpn>

bgpvpn

  BGP VPN to display (name or ID)

### bgpvpn unset

Unset BGP VPN properties

    openstack bgpvpn unset
        [--route-target <route-target>]
        [--all-route-target]
        [--import-target <import-target>]
        [--all-import-target]
        [--export-target <export-target>]
        [--all-export-target]
        [--route-distinguisher <route-distinguisher>]
        [--all-route-distinguisher]
        [--vni VNI]
        [--local-pref LOCAL_PREF]
        <bgpvpn>

--route-target <route-target>

  Remove Route Target from import/export list (repeat option for multiple Route Targets)

--all-route-target

  Empty route target list

--import-target <import-target>

  Remove Route Target from import list (repeat option for multiple Route Targets)

--all-import-target

  Empty import route target list

--export-target <export-target>

  Remove Route Target from export list (repeat option for multiple Route Targets)

--all-export-target

  Empty export route target list

--route-distinguisher <route-distinguisher>

  Remove Route Distinguisher from the list of Route Distinguishers from which a Route Distinguishers will be picked from to advertise a VPN route (repeat option for multiple Route Distinguishers)

--all-route-distinguisher

  Empty route distinguisher list

--vni <VNI>

  VXLAN Network Identifier to be used for this BGPVPN when a VXLAN encapsulation is used

--local-pref <LOCAL_PREF>

  Default BGP LOCAL_PREF to use in route advertisementstowards this BGPVPN.

bgpvpn

  BGP VPN to update (name or ID)

## bgpvpn network association

### bgpvpn network association create

Create a BGP VPN network association

    openstack bgpvpn network association create
        [--project <project>]
        [--project-domain <project-domain>]
        <bgpvpn>
        <network>

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

bgpvpn

  BGP VPN to apply the network association (name or ID)

network

  Network to associate the BGP VPN (name or ID)

### bgpvpn network association delete

Delete a BGP VPN network association(s) for a given BGP VPN

    openstack bgpvpn network association delete
        <network
        association
        ID>
        [<network association ID> ...]
        <bgpvpn>

network association ID

  Network association ID(s) to remove

bgpvpn

  BGP VPN the network association belongs to (name or ID)

### bgpvpn network association list

List BGP VPN network associations for a given BGP VPN

    openstack bgpvpn network association list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--property <key=value>]
        <bgpvpn>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--property <key=value>

  Filter property to apply on returned BGP VPNs (repeat to filter on multiple properties)

bgpvpn

  BGP VPN listed associations belong to (name or ID)

### bgpvpn network association show

Show information of a given BGP VPN network association

    openstack bgpvpn network association show
        <network
        association
        ID>
        <bgpvpn>

network association ID

  Network association ID to look up

bgpvpn

  BGP VPN the association belongs to (name or ID)

## bgpvpn router association

### bgpvpn router association create

Create a BGP VPN router association

    openstack bgpvpn router association create
        [--project <project>]
        [--project-domain <project-domain>]
        [--advertise_extra_routes
        |
        --no-advertise_extra_routes
        ]
        <bgpvpn>
        <router>

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--advertise_extra_routes

  Routes will be advertised to the BGP VPN (default)

--no-advertise_extra_routes

  Routes from the router will not be advertised to the BGP VPN

bgpvpn

  BGP VPN to apply the router association (name or ID)

router

  Router to associate the BGP VPN (name or ID)

### bgpvpn router association delete

Delete a BGP VPN router association(s) for a given BGP VPN

    openstack bgpvpn router association delete
        <router
        association
        ID>
        [<router association ID> ...]
        <bgpvpn>

router association ID

  Router association ID(s) to remove

bgpvpn

  BGP VPN the router association belongs to (name or ID)

### bgpvpn router association list

List BGP VPN router associations for a given BGP VPN

    openstack bgpvpn router association list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--property <key=value>]
        <bgpvpn>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--property <key=value>

  Filter property to apply on returned BGP VPNs (repeat to filter on multiple properties)

bgpvpn

  BGP VPN listed associations belong to (name or ID)

### bgpvpn router association set

Set BGP VPN router association properties

    openstack bgpvpn router association set
        [--advertise_extra_routes
        |
        --no-advertise_extra_routes
        ]
        <router
        association
        ID>
        <bgpvpn>

--advertise_extra_routes

  Routes will be advertised to the BGP VPN

--no-advertise_extra_routes

  Routes from the router will not be advertised to the BGP VPN

router association ID

  Router association ID to update

bgpvpn

  BGP VPN the router association belongs to (name or ID)

### bgpvpn router association show

Show information of a given BGP VPN router association

    openstack bgpvpn router association show
        <router
        association
        ID>
        <bgpvpn>

router association ID

  Router association ID to look up

bgpvpn

  BGP VPN the association belongs to (name or ID)

### bgpvpn router association unset

Unset BGP VPN router association properties

    openstack bgpvpn router association unset
        [--advertise_extra_routes
        |
        --no-advertise_extra_routes
        ]
        <router
        association
        ID>
        <bgpvpn>

--advertise_extra_routes

  Routes from the router will not be advertised to the BGP VPN

--no-advertise_extra_routes

  Routes will be advertised to the BGP VPN

router association ID

  Router association ID to update

bgpvpn

  BGP VPN the router association belongs to (name or ID)

## bgpvpn port association

### bgpvpn port association create

Create a BGP VPN port association

    openstack bgpvpn port association create
        [--project <project>]
        [--project-domain <project-domain>]
        [--advertise-fixed-ips
        |
        --no-advertise-fixed-ips
        ]
        [--prefix-route prefix=<cidr>[,local_pref=<integer>]]
        [--bgpvpn-route bgpvpn=<BGP VPN ID or name>[,local_pref=<integer>]]
        <bgpvpn>
        <port>

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--advertise-fixed-ips

  Fixed IPs of the port will be advertised to the BGP VPN (default)

--no-advertise-fixed-ips

  Fixed IPs of the port will not be advertised to the BGP VPN

--prefix-route prefix=<cidr>[,local_pref=<integer>]

  Add prefix route in CIDR notation. Optionally, can control the value of the BGP LOCAL_PREF of the routes that will be advertised (repeat option for multiple prefix routes)

--bgpvpn-route bgpvpn=<BGP VPN ID or name>[,local_pref=<integer>]

  Add BGP VPN route for route leaking. Optionally, can control the value of the BGP LOCAL_PREF of the routes that will be advertised (repeat option for multiple BGP VPN routes)

bgpvpn

  BGP VPN to apply the port association (name or ID)

port

  Port to associate the BGP VPN (name or ID)

### bgpvpn port association delete

Delete a BGP VPN port association(s) for a given BGP VPN

    openstack bgpvpn port association delete
        <port
        association
        ID>
        [<port association ID> ...]
        <bgpvpn>

port association ID

  Port association ID(s) to remove

bgpvpn

  BGP VPN the port association belongs to (name or ID)

### bgpvpn port association list

List BGP VPN port associations for a given BGP VPN

    openstack bgpvpn port association list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--property <key=value>]
        <bgpvpn>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--property <key=value>

  Filter property to apply on returned BGP VPNs (repeat to filter on multiple properties)

bgpvpn

  BGP VPN listed associations belong to (name or ID)

### bgpvpn port association set

Set BGP VPN port association properties

    openstack bgpvpn port association set
        [--advertise-fixed-ips
        |
        --no-advertise-fixed-ips
        ]
        [--prefix-route prefix=<cidr>[,local_pref=<integer>]]
        [--bgpvpn-route bgpvpn=<BGP VPN ID or name>[,local_pref=<integer>]]
        [--no-prefix-route]
        [--no-bgpvpn-route]
        <port
        association
        ID>
        <bgpvpn>

--advertise-fixed-ips

  Fixed IPs of the port will be advertised to the BGP VPN

--no-advertise-fixed-ips

  Fixed IPs of the port will not be advertised to the BGP VPN

--prefix-route prefix=<cidr>[,local_pref=<integer>]

  Add prefix route in CIDR notation. Optionally, can control the value of the BGP LOCAL_PREF of the routes that will be advertised (repeat option for multiple prefix routes)

--bgpvpn-route bgpvpn=<BGP VPN ID or name>[,local_pref=<integer>]

  Add BGP VPN route for route leaking. Optionally, can control the value of the BGP LOCAL_PREF of the routes that will be advertised (repeat option for multiple BGP VPN routes)

--no-prefix-route

  Empty prefix route list

--no-bgpvpn-route

  Empty BGP VPN route list

port association ID

  Port association ID to update

bgpvpn

  BGP VPN the port association belongs to (name or ID)

### bgpvpn port association show

Show information of a given BGP VPN port association

    openstack bgpvpn port association show <port association ID> <bgpvpn>

port association ID

  Port association ID to look up

bgpvpn

  BGP VPN the association belongs to (name or ID)

### bgpvpn port association unset

Unset BGP VPN port association properties

    openstack bgpvpn port association unset
        [--advertise-fixed-ips
        |
        --no-advertise-fixed-ips
        ]
        [--prefix-route <cidr>]
        [--bgpvpn-route <BGP VPN ID or name>]
        [--all-prefix-routes]
        [--all-bgpvpn-routes]
        <port
        association
        ID>
        <bgpvpn>

--advertise-fixed-ips

  Fixed IPs of the port will not be advertised to the BGP VPN

--no-advertise-fixed-ips

  Fixed IPs of the port will be advertised to the BGP VPN

--prefix-route <cidr>

  Remove prefix route in CIDR notation (repeat option for multiple prefix routes)

--bgpvpn-route <BGP VPN ID or name>

  Remove BGP VPN route (repeat option for multiple BGP VPN routes)

--all-prefix-routes

  Empty prefix route list

--all-bgpvpn-routes

  Empty BGP VPN route list

port association ID

  Port association ID to update

bgpvpn

  BGP VPN the port association belongs to (name or ID)

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.